from apf.lib import ccalcs
import matplotlib.pyplot as plt
from mpl_toolkits.mplot3d import Axes3D
import numpy as np

fig = plt.figure()
ax = fig.add_subplot(111, projection='3d')

left = ccalcs.Vector2(-34.7722525662 * (2.0 / 3), 0.0)
right = ccalcs.Vector2(34.7722525662 * (2.0 / 3), 0.0)
top = ccalcs.Vector2(0.0, 23.1815017108)

com = ccalcs.center_of_mass([top, left, right])

objects = [ccalcs.SimObject(left),#, top, True),
           ccalcs.SimObject(top),#, right, True),
           ccalcs.SimObject(right)]#, top, True)]

attractor = ccalcs.ForceLaw([ccalcs.PotentialTerm(-1, -.25)])

def to_real_value(x, y):
    force = 0
    for obj in objects:
        try:
            force += attractor.forceFrom(obj, ccalcs.Vector2(x, y)).length()
        except ZeroDivisionError:
            print obj, x, y
    return force

x = np.arange(-50, 50, 0.375)
y = np.arange(-50, 50, 0.375)
X, Y = np.meshgrid(x, y)
Z = np.vectorize(to_real_value)(X, Y)

if __name__ == "__main__":
    ax.plot_surface(X, Y, Z, color="b", rstride=8, cstride=8)
    plt.show()
    