"""
Artificial potential field simulation package.
"""

__all__ = [
    "sims",
    "lib",
    "utils",
    "fullsim",
    "movie",
    "ctl",
    "apf_settings",
    "custom"
]

from utils import _read_config

_SETTINGS = _read_config()

def _get_option(section, key, default=None):
    return _SETTINGS[section].get(key, default)

def _set_option(section, key, value):
    _SETTINGS[section][key] = value

def _get_settings():
    return _SETTINGS

