import sys, os

from apf import apf_settings
from apf.sims import plot, simulation, generate
from apf import movie
from apf import fullsim

COMMANDS = {
    "settings": apf_settings.main,
    "plot": plot.main,
    "generate": generate.main,
    "movie": movie.main,
    "fullsim": fullsim.main,
    "create": fullsim.create,
    "newinput": fullsim._generate
}

def usage():
    sys.stderr.write("Available subcommands: \n")
    sys.stderr.write("\n".join(COMMANDS.keys()) + "\n")
    
def main():
    if len(sys.argv) < 2:
        usage()
        sys.exit()
    else:
        command = COMMANDS[sys.argv[1]]
        sys.argv = sys.argv[1:]
        command()
