#!/usr/bin/env python2
# -*- coding: utf-8 -*-
import distribute_setup
distribute_setup.use_setuptools()
from setuptools import setup
from setuptools.extension import Extension
import platform

libs = []
if platform.system() != "Windows":
    libs.append("m")

ccalcs = Extension("apf.lib.ccalcs", ["apf/lib/ccalcs.c"], libraries=libs)
    
setup_args = {
    "ext_modules":  [ccalcs],
    "packages": ["apf", "apf.lib", "apf.test", "apf.sims"],
    "name": "apf",
    "version": "0.1.3",
#    "install_requires": ["numpy", "matplotlib", "Cython"],
    "author": u"Robin Kåveland Hansen",
    "author_email": "kaaveland@gmail.com",
    "license": "BSD",
    "url": "https://github.com/kaaveland/scai",
    "package_dir": {"apf": "apf"},
    "package_data": {"apf": ["data/*", "settings.json"]},
    "scripts":  ["apf/bin/plot.py", "apf/bin/simulation.py", "apf/bin/movie.py",
               "apf/bin/generate.py", "apf/bin/apf_settings.py", "apf/bin/apfmain.py"],
    "long_description": open("README").read(),
    "description": "Library to simulate artificial potential fields and visualize output."
}

setup(**setup_args)
